Page MenuHomePhabricator

VE Cite widget: It's possible to submit the form twice
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  • Open a page ina wiki with activated Citoid and start VE
  • Click "Cite"
  • Enter an URI (doesn't matter what you type in) and click "Generate" or press return
  • immediately after that press return again

Expected:
Nothing should happen

Observed:
An overlay "Something went wrong" opens, which the user can dismiss (hide) or click "Try again".

The input field should possibly disabled, too, while generating the Cite.

Details

Related Gerrit Patches:
mediawiki/extensions/Citoid : masterCheck lookup button state when handle input 'enter' event
mediawiki/extensions/Citoid : masterDisable input field on lookup, too

Event Timeline

Florian created this task.Oct 24 2015, 1:47 PM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added projects: VisualEditor, Citoid.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 1:47 PM
Florian claimed this task.Oct 24 2015, 2:38 PM

Change 248616 had a related patch set uploaded (by Florianschmidtwelzow):
Disable input field on lookup, too

https://gerrit.wikimedia.org/r/248616

Change 248836 had a related patch set uploaded (by Esanders):
Check lookup button state when handle input 'enter' event

https://gerrit.wikimedia.org/r/248836

Jdforrester-WMF triaged this task as Medium priority.Oct 26 2015, 3:57 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 248616 merged by jenkins-bot:
Disable input field on lookup, too

https://gerrit.wikimedia.org/r/248616

Jdforrester-WMF closed this task as Resolved.Oct 27 2015, 4:01 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 248836 merged by jenkins-bot:
Check lookup button state when handle input 'enter' event

https://gerrit.wikimedia.org/r/248836